#include <linux/kernel.h>
#include <linux/types.h>
#include <asm/adm5120/adm5120.h>

//extern void (*cpu_wait)(void);

/* 
 * system restart
 */
void adm5120_restart(char *command)
{
	int i;

	/* Disable All ports*/
	ADM5120_SW_REG(Port_conf0_REG) |= SW_DISABLE_PORT_MASK;

	/* Disable CPU port */
	ADM5120_SW_REG(CPUp_conf_REG) |= SW_CPU_PORT_DISABLE;

	/* Wait until switch DMA idle. At least 1ms is required!!!! */
	for (i = 0; i <1000000; i++)
		;

	ADM5120_SW_REG(SftRest_REG) = SOFTWARE_RESET;
}


/*
 * system halt
 */
void adm5120_halt(void)
{
    printk(KERN_NOTICE "\n** You can safely turn off the power\n");

    for (;;)
	    ;
}


/*
 * system power off
 */
void adm5120_power_off(void)
{
    adm5120_halt();
}

