/*****************************************************************************
;
;   (C) ADMtek Incorporated.  All Rights Reserved.
;
;------------------------------------------------------------------------------
;
;    Project : ADM5120
;    Creator : daniell@admtek.com.tw
;    File    : arch/mips/adm5120/setup.c
;	 Date    : 2003.3.4
;    Abstract: 
;
;Modification History:
;
;*****************************************************************************/

#include <linux/config.h>
#include <linux/init.h>
#include <linux/delay.h>
#include <linux/irq.h>
#include <linux/interrupt.h>
#include <linux/serial.h>
#include <linux/types.h>
#include <linux/string.h>	/* for memset */

#include <asm/reboot.h>
#include <asm/io.h>
#include <asm/time.h>
#include <asm/processor.h>
#include <asm/system.h>
#include <asm/adm5120/adm5120.h>

#ifdef CONFIG_MIPS_RTC
extern int ds1305_init(int);
#endif

char *prom_getenv(char *);
void  adm5120_timer_setup(struct irqaction *irq);
void  adm5120_time_init(void);
void adm5120_restart(char *command);
void adm5120_halt(void);
void adm5120_power_off(void);

int adm5120_pci_module;

/* 
 * system setup
 */
void __init adm5120_setup(void)
{
	board_time_init = adm5120_time_init;
	board_timer_setup = adm5120_timer_setup;

	_machine_restart = adm5120_restart;
	_machine_halt = adm5120_halt;
	_machine_power_off = adm5120_power_off;

	set_io_port_base(KSEG1);

	/* check pci in existence or not */
	if (ADM5120_SW_REG(CODE_REG) & CPU_PQFP_MODE)
	{
		printk("System no PCI BIOS\n");
		adm5120_pci_module = 0;
	}
	else
	{
		printk("System has PCI BIOS\n");
		adm5120_pci_module = 1;
	}

#ifdef CONFIG_MIPS_RTC
	ds1305_init(0);
#endif
}



const char *get_system_type(void)
{
	static char name[256]; 
	char *p;

	p = prom_getenv("machine");
	if (p == NULL)
		p = "unknown";

	snprintf(name, sizeof(name) - 1, "%s ADM5120 board", p);
	name[sizeof(name) - 1] = 0;

	return name;
}

